
Figure - Bug #114242
【BSP】【EVT2】【TLOG】【必现】【User】user版本无法获取kernel日志
2022-12-01 16:23 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-01

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0053.X101

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238

Reproducibility: Every time Fixed Version: 2022-12-14

Test Type: IT Root cause: user版本放开kernel日志打印限制，正常输出kernel日志

Description

【前提条件】

【操作步骤】

1.刷入user版本，使用暗码（*#147#）进入Tlog工具

2.抓取日志后查看

【实际结果】

无kernel日志

【期望结果】

有kernel日志

History

#1 - 2022-12-02 17:13 - CDTS_TEST 刘勇

- Category changed from CD-FW to SYSTEM

#2 - 2022-12-05 17:41 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#3 - 2022-12-09 14:01 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD SYSTEM-夏旭

Hi 夏旭

请参考朗界修改，打开user版本输出kernel日志的限制。

Thanks.

#4 - 2022-12-13 09:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169083 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hubing0803@thundersoft.com
system:log:enable the kernel in user versionModify frameworks/native/cmds/dumpstate/dumpstate.cppTC-RID: 1200-0800102IssueID:

TS-R-BUG-114242Change-Id: I58bd90189a6f2de4e2e97c62140a6e9c2dc0f7a8

#5 - 2022-12-13 09:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169439 general/platform/system/logging Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hubing0803@thundersoft.com

system:log:enable the kernel in user versionModify system/logging/logd/main.cppTC-RID: 1200-0800102IssueID: TS-R-BUG-114242Change-Id:

I73c4440a047d51d43986795c64b51308dd0b912b

#6 - 2022-12-13 10:22 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 刘勇

【Current conclusion】

已处理，提交为

https://dev.thundercomm.com/gerrit/c/general/platform/system/logging/+/169439

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/169083

【Next action】

测试验证

#7 - 2022-12-13 18:23 - CDTS-TEST 周婷

- Assignee changed from CDTS_TEST 刘勇 to CD SYSTEM-夏旭

如已修改，请正确走resolve 状态，不要直接转给测试同学，谢谢~

#8 - 2022-12-14 10:14 - CD SYSTEM-胡兵

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 刘勇

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-14

- Root cause set to user版本放开kernel日志打印限制，正常输出kernel日志

#9 - 2022-12-23 11:16 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238

【HW】EVT2-VX1整机、

【SW】FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238
https://dev.thundercomm.com/gerrit/c/general/platform/system/logging/+/169439
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/169083


【前提条件】

【操作步骤】

1.刷入user版本，使用暗码（*#147#）进入Tlog工具

2.抓取日志后查看

查看方式：user版本，抓取LOG后，获得log压缩包，解压后查找路径 /data/tlog/persist/kernel 中带有kernel文件

【实际结果】

有kernel日志

【验证次数】2/2

【验证结果】通过，user版本中有kernel日志被打印

#10 - 2022-12-23 11:16 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED
